core.node.services / FixedIdentityService

# FixedIdentityService

`class FixedIdentityService : IdentityService`

Scaffolding: a dummy identity service that just expects to have identities loaded off disk or found elsewhere.

### Constructors

<init> | `FixedIdentityService(identities: List<Party>)` Scaffolding: a dummy identity service that just expects to have identities loaded off disk or found elsewhere.

### Functions

partyFromKey | `fun partyFromKey(key: PublicKey): Party?`